/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/GUIForms/JFrame.java to edit this template
 */
package vista.sumKidsVista;

import Atxy2k.CustomTextField.RestrictedTextField;
import controlador.autorizacion.ctrValidacion;
import controlador.conexion.SQLclass;
import controlador.ctrlSunKidsClub.controladorGerente;
import controlador.dao.ProfesorDao;
import controlador.ctrlSunKidsClub.controladorSecretaria;
import controlador.tda.lista.ListaEnlazada;
import controlador.tda.lista.exception.PosicionException;
import java.sql.Connection;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.JOptionPane;
import javax.swing.table.DefaultTableModel;
import modelo.SumKids.Profesores;
import modelo.enums.TipoEmpleado;
import oracle.net.aso.m;

/**
 *
 * @author User
 */
public class FrmProfesor extends javax.swing.JFrame {

    private controladorSecretaria secretaria;
    private ListaEnlazada<Profesores> lP = new ListaEnlazada();

    /**
     * Creates new form FrmProfesor
     */
    public FrmProfesor() {
        initComponents();
        this.setTitle("Regis trar Profesor");
        rsscalelabel.RSScaleLabel.setScaleLabel(jLabel8, "src/vista/imagenes/fondosd.jpg");
        this.setLocationRelativeTo(null);
//        RestriccionTex();
    }

    public FrmProfesor(controladorSecretaria secre) {
        this.secretaria = secre;
        initComponents();
        this.setTitle("Regis trar Profesor");
        rsscalelabel.RSScaleLabel.setScaleLabel(jLabel8, "src/vista/imagenes/fondosd.jpg");
        this.setLocationRelativeTo(null);
//        RestriccionTex();
    }

    public void limpiar() {
        txtEspecialidad.setText(null);
        txtCorreo.setText(null);
        txtApellido.setText(null);
        txtNombre.setText(null);
        txtIdentificacion.setText(null);
        txtCelular.setText(null);
        txtDireccion.setText(null);
    }

    public Boolean verificarCampos() {
        if (txtApellido.getText().isEmpty()
                || txtIdentificacion.getText().isEmpty() || txtNombre.getText().isEmpty() || txtEspecialidad.getText().isEmpty()) {
            JOptionPane.showMessageDialog(null, "Campos Vacíos", "ERROR", JOptionPane.ERROR_MESSAGE);
            return false;
        }
        return true;
    }

    public void RestriccionTex() {
        RestrictedTextField i = new RestrictedTextField(txtIdentificacion);
        i.setLimit(10);
        i.setOnlyNums(true);
        RestrictedTextField n = new RestrictedTextField(txtNombre);
        n.setLimit(25);
        n.setOnlyText(true);
        RestrictedTextField a = new RestrictedTextField(txtApellido);
        a.setLimit(25);
        a.setOnlyText(true);
        RestrictedTextField c = new RestrictedTextField(txtCelular);
        c.setLimit(10);
        c.setOnlyNums(true);
        RestrictedTextField e = new RestrictedTextField(txtEspecialidad);
        e.setLimit(10);
        e.setOnlyText(true);
    }

    public void verificarEditar() {
        if (tblProfesor.getSelectedRow() >= 0) {
        } else {
            JOptionPane.showMessageDialog(null, "Fila no seleccionada");
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jPanel1 = new javax.swing.JPanel();
        jLabel7 = new javax.swing.JLabel();
        jPanel2 = new javax.swing.JPanel();
        btnguardar = new javax.swing.JButton();
        txtNombre = new javax.swing.JTextField();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        jLabel4 = new javax.swing.JLabel();
        jLabel5 = new javax.swing.JLabel();
        txtApellido = new javax.swing.JTextField();
        txtIdentificacion = new javax.swing.JTextField();
        txtCelular = new javax.swing.JTextField();
        jLabel11 = new javax.swing.JLabel();
        txtCorreo = new javax.swing.JTextField();
        txtDireccion = new javax.swing.JTextField();
        btnEditar = new javax.swing.JButton();
        btnCancelar = new javax.swing.JButton();
        jLabel12 = new javax.swing.JLabel();
        txtEspecialidad = new javax.swing.JTextField();
        btnAtras = new javax.swing.JButton();
        jLabel13 = new javax.swing.JLabel();
        cmbGenero = new javax.swing.JComboBox<>();
        jPanel3 = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        tblProfesor = new javax.swing.JTable();
        jLabel6 = new javax.swing.JLabel();
        txtBuscar = new javax.swing.JTextField();
        btnbuscar = new javax.swing.JButton();
        cmdCerrar = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setUndecorated(true);

        jPanel1.setBackground(new java.awt.Color(204, 204, 255));
        jPanel1.setLayout(null);

        jLabel7.setFont(new java.awt.Font("Times New Roman", 1, 24)); // NOI18N
        jLabel7.setText("Agregar Profesor");
        jPanel1.add(jLabel7);
        jLabel7.setBounds(150, 10, 270, 29);

        jPanel2.setBackground(new java.awt.Color(204, 204, 204));
        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 3), "Datos del Profesor", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14))); // NOI18N
        jPanel2.setOpaque(false);
        jPanel2.setLayout(null);

        btnguardar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnguardar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/add.png"))); // NOI18N
        btnguardar.setText("Guardar");
        btnguardar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnguardarActionPerformed(evt);
            }
        });
        jPanel2.add(btnguardar);
        btnguardar.setBounds(320, 110, 110, 30);
        jPanel2.add(txtNombre);
        txtNombre.setBounds(150, 30, 158, 30);

        jLabel1.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel1.setText("Nombre:");
        jPanel2.add(jLabel1);
        jLabel1.setBounds(20, 40, 70, 17);

        jLabel2.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel2.setText("Apellido:");
        jPanel2.add(jLabel2);
        jLabel2.setBounds(20, 80, 70, 17);

        jLabel3.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel3.setText("Identificacion:");
        jPanel2.add(jLabel3);
        jLabel3.setBounds(20, 120, 120, 17);

        jLabel4.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel4.setText("Celular:");
        jPanel2.add(jLabel4);
        jLabel4.setBounds(20, 160, 70, 17);

        jLabel5.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel5.setText("Correo:");
        jPanel2.add(jLabel5);
        jLabel5.setBounds(20, 200, 70, 17);
        jPanel2.add(txtApellido);
        txtApellido.setBounds(150, 70, 158, 30);
        jPanel2.add(txtIdentificacion);
        txtIdentificacion.setBounds(150, 110, 158, 30);
        jPanel2.add(txtCelular);
        txtCelular.setBounds(150, 150, 158, 30);

        jLabel11.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel11.setText("Direccion:");
        jPanel2.add(jLabel11);
        jLabel11.setBounds(20, 240, 80, 17);
        jPanel2.add(txtCorreo);
        txtCorreo.setBounds(150, 190, 158, 30);
        jPanel2.add(txtDireccion);
        txtDireccion.setBounds(150, 230, 158, 30);

        btnEditar.setBackground(new java.awt.Color(0, 0, 204));
        btnEditar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnEditar.setForeground(new java.awt.Color(255, 255, 255));
        btnEditar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/edit.png"))); // NOI18N
        btnEditar.setText("Editar");
        btnEditar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnEditarActionPerformed(evt);
            }
        });
        jPanel2.add(btnEditar);
        btnEditar.setBounds(320, 170, 110, 30);

        btnCancelar.setBackground(new java.awt.Color(255, 255, 255));
        btnCancelar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnCancelar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        btnCancelar.setText("Cancelar");
        btnCancelar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnCancelarActionPerformed(evt);
            }
        });
        jPanel2.add(btnCancelar);
        btnCancelar.setBounds(320, 230, 110, 30);

        jLabel12.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel12.setText("Genero:");
        jPanel2.add(jLabel12);
        jLabel12.setBounds(20, 310, 100, 17);
        jPanel2.add(txtEspecialidad);
        txtEspecialidad.setBounds(150, 270, 158, 30);

        btnAtras.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        btnAtras.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/door.png"))); // NOI18N
        btnAtras.setText("Atrás");
        btnAtras.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAtrasActionPerformed(evt);
            }
        });
        jPanel2.add(btnAtras);
        btnAtras.setBounds(320, 60, 110, 30);

        jLabel13.setFont(new java.awt.Font("Tahoma", 1, 14)); // NOI18N
        jLabel13.setText("Especialidad:");
        jPanel2.add(jLabel13);
        jLabel13.setBounds(20, 280, 100, 17);

        cmbGenero.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "M", "F", "N" }));
        jPanel2.add(cmbGenero);
        cmbGenero.setBounds(150, 310, 50, 21);

        jPanel1.add(jPanel2);
        jPanel2.setBounds(30, 50, 460, 350);

        jPanel3.setBackground(new java.awt.Color(204, 204, 204));
        jPanel3.setBorder(javax.swing.BorderFactory.createTitledBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0), 3), "Datos Registrados", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tahoma", 1, 14))); // NOI18N
        jPanel3.setOpaque(false);
        jPanel3.setLayout(null);

        tblProfesor.setAutoCreateRowSorter(true);
        tblProfesor.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        tblProfesor.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        tblProfesor.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                tblProfesorMouseClicked(evt);
            }
        });
        jScrollPane2.setViewportView(tblProfesor);

        jPanel3.add(jScrollPane2);
        jScrollPane2.setBounds(20, 30, 480, 120);

        jPanel1.add(jPanel3);
        jPanel3.setBounds(10, 450, 520, 170);

        jLabel6.setFont(new java.awt.Font("Times New Roman", 1, 20)); // NOI18N
        jLabel6.setText("Buscar: identifiacion");
        jPanel1.add(jLabel6);
        jLabel6.setBounds(20, 410, 200, 30);

        txtBuscar.setFont(new java.awt.Font("Lucida Bright", 0, 12)); // NOI18N
        jPanel1.add(txtBuscar);
        txtBuscar.setBounds(220, 410, 180, 30);

        btnbuscar.setFont(new java.awt.Font("Lucida Bright", 1, 14)); // NOI18N
        btnbuscar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/find.png"))); // NOI18N
        btnbuscar.setText("Buscar");
        btnbuscar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnbuscarActionPerformed(evt);
            }
        });
        jPanel1.add(btnbuscar);
        btnbuscar.setBounds(410, 410, 110, 30);

        cmdCerrar.setBackground(new java.awt.Color(255, 255, 255));
        cmdCerrar.setFont(new java.awt.Font("Tahoma", 1, 12)); // NOI18N
        cmdCerrar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/del.png"))); // NOI18N
        cmdCerrar.setToolTipText("Eliminar");
        cmdCerrar.setPreferredSize(new java.awt.Dimension(120, 25));
        cmdCerrar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cmdCerrarActionPerformed(evt);
            }
        });
        jPanel1.add(cmdCerrar);
        cmdCerrar.setBounds(490, 0, 60, 30);

        jLabel8.setIcon(new javax.swing.ImageIcon(getClass().getResource("/vista/imagenes/fondosd.jpg"))); // NOI18N
        jPanel1.add(jLabel8);
        jLabel8.setBounds(0, 0, 550, 640);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 552, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                .addComponent(jPanel1, javax.swing.GroupLayout.PREFERRED_SIZE, 634, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 0, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents
    public Profesores retorP() {
        String especialidad = null;
        TipoEmpleado m = null;
        String correo = null;
        String apellidos = null;
        String nombre = null;
        String identificacion = null;
        String celular = null;
        String direccion = null;
        char g;

        if (verificarCampos()) {
            especialidad = txtEspecialidad.getText().toUpperCase();
            m = TipoEmpleado.P_PRO;
            correo = txtCorreo.getText();
            ctrValidacion val = new ctrValidacion();
            if (!correo.equals(null)) {
                if (!val.validarCorreo(correo)) {
                    JOptionPane.showMessageDialog(null, "Correo invalido", "ERROR", JOptionPane.ERROR_MESSAGE);
                    return null;
                }
            }

            apellidos = txtApellido.getText().toUpperCase();
            nombre = txtNombre.getText().toUpperCase();
            identificacion = txtIdentificacion.getText().toUpperCase();
            if (!identificacion.equals(null)) {
                if (!val.validarCedula(identificacion)) {
                    JOptionPane.showMessageDialog(null, "Cedula no valida", "ERROR", JOptionPane.ERROR_MESSAGE);
                    return null;
                }
            }
            celular = txtCelular.getText().toUpperCase();
            direccion = txtDireccion.getText().toUpperCase();
        }
        g = cmbGenero.getSelectedItem().toString().charAt(0);
        System.out.println(g);
        Profesores prof = new Profesores(especialidad, nombre, apellidos, identificacion, celular, g, direccion, m, correo);
        return prof;
    }


    private void btnguardarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnguardarActionPerformed

        try {
            secretaria.guardarProfesor(this.retorP());
            JOptionPane.showMessageDialog(this, "Creado con exito");
        } catch (Exception ex) {
            JOptionPane.showMessageDialog(this, "Fallo al crear");
        }
        //tblProfesor.setModel(p.getTableProfesores());
        // tblProfesor.setModel(p.getTableProfesores());
    }//GEN-LAST:event_btnguardarActionPerformed

    private void btnAtrasActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnAtrasActionPerformed
        new FrmMenuSecr().setVisible(true);
        this.setVisible(false);
    }//GEN-LAST:event_btnAtrasActionPerformed

    private void btnCancelarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnCancelarActionPerformed
        limpiar();
    }//GEN-LAST:event_btnCancelarActionPerformed

    public DefaultTableModel cargarTabal() throws PosicionException {
        DefaultTableModel model = new DefaultTableModel();
        model.addColumn("Nombre");
        model.addColumn("Apellido");
        model.addColumn("Telefono");
        model.addColumn("Correo");
        model.addColumn("Direccion");
        model.addColumn("Especialidad");
        model.addColumn("Genero");
        //  ListaEnlazada<Profesores> lP;
       
            lP = secretaria.busacarProfesor(this.txtBuscar.getText(), "identificacion", false);
      

        String datos[] = new String[7];
        for (int i = 0; i < lP.getSize(); i++) {
            datos[0] = lP.obtenerDato(i).getNombres();
            datos[1] = lP.obtenerDato(i).getApellidos();
            datos[2] = String.valueOf(lP.obtenerDato(i).getCelular());
            datos[3] = lP.obtenerDato(i).getCorreo();
            datos[4] = lP.obtenerDato(i).getDireccion();
            datos[5] = String.valueOf(lP.obtenerDato(i).getEspecialidad());
            datos[6] = String.valueOf(lP.obtenerDato(i).getGenero());
            model.addRow(datos);
        }
        return model;
    }


    private void btnbuscarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnbuscarActionPerformed
      if (txtBuscar.getText().isEmpty()) {
            JOptionPane.showMessageDialog(null, "Campo Buscar Vacío", "ERROR", JOptionPane.ERROR_MESSAGE);
        } else {
            try {
                tblProfesor.setModel(this.cargarTabal());
            } catch (PosicionException ex) {
                Logger.getLogger(FrmProfesor.class.getName()).log(Level.SEVERE, null, ex);
            }

        }
    }//GEN-LAST:event_btnbuscarActionPerformed

    private void btnEditarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnEditarActionPerformed
        verificarEditar();
        try {
            // String nombre,String apellido,String telefono,char genero,String direccion,String correo,String especialidad,String cedula
            //  System.out.println(txtNombre.getText()+txtApellido.getText()+txtCelular.getText()+jComboBox2.getSelectedItem().toString().charAt(0)+ txtDireccion.getText()+txtCorreo.getText()+ txtEspecialidad.getText() +lP.obtenerDato(0).getId_profesor());

            secretaria.updateProfesor(txtNombre.getText(), txtApellido.getText(), txtCelular.getText(), cmbGenero.getSelectedItem().toString().charAt(0), txtDireccion.getText(), txtCorreo.getText(), txtEspecialidad.getText(), lP.obtenerDato(0).getIdentificacion());
            //System.out.println(txtNombre.getText()+txtApellido.getText()+txtCelular.getText()+jComboBox2.getSelectedItem().toString().charAt(0)+ txtDireccion.getText()+txtCorreo.getText()+ txtEspecialidad.getText() +lP.obtenerDato(0).getId_profesor());
        } catch (PosicionException ex) {
            Logger.getLogger(FrmProfesor.class.getName()).log(Level.SEVERE, null, ex);

        } catch (Exception ex) {
            Logger.getLogger(FrmProfesor.class.getName()).log(Level.SEVERE, null, ex);
        }
    }//GEN-LAST:event_btnEditarActionPerformed
    
    private void cmdCerrarActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cmdCerrarActionPerformed
        System.exit(0);
    }//GEN-LAST:event_cmdCerrarActionPerformed

    private void tblProfesorMouseClicked(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_tblProfesorMouseClicked
        int fila = tblProfesor.rowAtPoint(evt.getPoint()); // dato generado al seleccionar la fila de la tabla
        this.txtNombre.setText(String.valueOf(tblProfesor.getValueAt(fila, 0)));
        this.txtApellido.setText(String.valueOf(tblProfesor.getValueAt(fila, 1)));
        this.txtCelular.setText(String.valueOf(tblProfesor.getValueAt(fila, 2)));
        this.txtCorreo.setText(String.valueOf(tblProfesor.getValueAt(fila, 3)));
        this.txtDireccion.setText(String.valueOf(tblProfesor.getValueAt(fila, 4)));
        this.txtEspecialidad.setText(String.valueOf(tblProfesor.getValueAt(fila, 5)));
        int count;
        if ("M".equalsIgnoreCase(this.tblProfesor.getValueAt(fila, 6).toString())) {
            count = 0;
        } else if ("F".equalsIgnoreCase(this.tblProfesor.getValueAt(fila, 6).toString())) {
            count = 1;
        } else {
            count = 2;
        }
        this.cmbGenero.setSelectedIndex(count);
        txtIdentificacion.setEnabled(false);//Cuadro de texto bloqueado para escribir
    }//GEN-LAST:event_tblProfesorMouseClicked
    
    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;

                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmProfesor.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);

        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmProfesor.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);

        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmProfesor.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);

        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmProfesor.class
                    .getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmProfesor().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAtras;
    private javax.swing.JButton btnCancelar;
    private javax.swing.JButton btnEditar;
    private javax.swing.JButton btnbuscar;
    private javax.swing.JButton btnguardar;
    private javax.swing.JComboBox<String> cmbGenero;
    private javax.swing.JButton cmdCerrar;
    private javax.swing.JComboBox<String> jComboBox1;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel11;
    private javax.swing.JLabel jLabel12;
    private javax.swing.JLabel jLabel13;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JLabel jLabel4;
    private javax.swing.JLabel jLabel5;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JTable tblProfesor;
    private javax.swing.JTextField txtApellido;
    private javax.swing.JTextField txtBuscar;
    private javax.swing.JTextField txtCelular;
    private javax.swing.JTextField txtCorreo;
    private javax.swing.JTextField txtDireccion;
    private javax.swing.JTextField txtEspecialidad;
    private javax.swing.JTextField txtIdentificacion;
    private javax.swing.JTextField txtNombre;
    // End of variables declaration//GEN-END:variables
}
